Get a family member history by ID
get
/FamilyMemberHistory/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual family member history by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : FamilyMemberHistory
Type:
objectThe FHIR R4 FamilyMemberHistory resource.
Show Source
-
ageAge: object
AgeForFamilyMemberHistory
-
ageString: string
-
bornDate: string
-
bornPeriod: object
Period
-
bornString: string
-
condition: array
condition
-
dataAbsentReason: object
CodeableConcept
-
date: string
(date-time)
-
deceasedBoolean: boolean
-
estimatedAge: boolean
-
id(required): string
-
name: string
-
patient(required): object
ReferenceForFamilyMemberHistory
-
relationship(required): object
CodeableConcept
-
resourceType(required): string
Allowed Values:
[ "FamilyMemberHistory" ] -
sex: object
CodeableConcept
-
status(required): string
Allowed Values:
[ "partial", "completed", "entered-in-error", "health-unknown" ] -
text: object
Narrative
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source